# SentianceOptions

The SentianceOptions class allows you to specify SDK initialization options. This class is used with [`Sentiance.initialize(SentianceOptions)`](/important-topics/sdk/api-reference/android/sentiance.md#initialize-sentianceoptions).

See: SentianceOptions.Builder.

## SentianceOptions API

### `getNotificationId()`

> ```java
> int getNotificationId()
> ```
>
> Returns the ID of the notification that the SDK will show when running in the background. This ID is passed to Android's [`startForeground`](https://developer.android.com/reference/android/app/Service#startForeground\(int,%20android.app.Notification\)) method when starting a foreground service.

### `getNotification()`

> ```java
> Notification getNotification()
> ```
>
> Returns the notification that the SDK will show when running in the background. This notification is passed to Android's [`startForeground`](https://developer.android.com/reference/android/app/Service#startForeground\(int,%20android.app.Notification\)) method when starting a foreground service.

### `isAppSessionDataCollectionEnabled()`

> ```java
> boolean isAppSessionDataCollectionEnabled()
> ```
>
> Returns whether app session data collection should be enabled.
>
> If enabled, the SDK may collect additional sensor and location data when the app is in the foreground (i.e visible to the user). This data may get uploaded to the Sentiance Platform.

### `isIncorrectInitializationNotificationDisabled()`

> ```java
> boolean isIncorrectInitializationNotificationDisabled()
> ```
>
> Returns whether incorrect SDK initialization notifications should be enabled. On debug builds of your app, the SDK can show a notification when it detects an incorrect SDK initialization.

### `getSdkDiagnostics()`

> ```java
> SdkDiagnostics getSdkDiagnostics() 
> ```
>
> Returns the SDK diagnostics observers configured through [Builder#diagnostics(SdkDiagnostics)](/important-topics/sdk/api-reference/android/sentianceoptions/sentianceoptions.builder.md#diagnostics).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/sentianceoptions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
